window.Gleam.initSearch([{"doc":"efetch","title":"efetch","content":"# efetch\n\n[![Package Version](https://img.shields.io/hexpm/v/efetch)](https://hex.pm/packages/efetch)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/efetch/)\n\n```sh\ngleam add efetch\n```\n```gleam\nimport gleam/http/request\nimport gleam/http\nimport gleam/result\nimport efetch\n\npub fn main() {\n  let assert Ok(req) = request.to(&quot;https://github.com&quot;)\n  use res &lt;- efetch.send(req)\n  res\n  |&gt; result.map(fn(res) { io.debug(res.status) })\n  |&gt; result.map_error(io.debug)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/efetch&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"efetch","title":"ConnectError","content":"pub type ConnectError {\n  EAcces\n  EPerm\n  EAddrinuse\n  Eddrnotavail\n  EAfnosupport\n  EAgain\n  EAlready\n  EBadF\n  EConnrefused\n  EFault\n  EInProgress\n  EIntr\n  EIsConn\n  ENetUnreach\n  ENotSock\n  EPrototype\n  ETimeout\n  ENoDev\n  ENoData\n  UnknownConnectError(String)\n}\n\nEAcces\n\n\nEPerm\n\n\nEAddrinuse\n\n\nEddrnotavail\n\n\nEAfnosupport\n\n\nEAgain\n\n\nEAlready\n\n\nEBadF\n\n\nEConnrefused\n\n\nEFault\n\n\nEInProgress\n\n\nEIntr\n\n\nEIsConn\n\n\nENetUnreach\n\n\nENotSock\n\n\nEPrototype\n\n\nETimeout\n\n\nENoDev\n\n\nENoData\n\n\nUnknownConnectError(String)\n\n\nSynonyms:\nefetch.ConnectError\nefetch ConnectError","url":"efetch.html#ConnectError"},{"doc":"efetch","title":"DNSError","content":"pub type DNSError {\n  NoData\n  Formerr\n  ServerFail\n  NotFound\n  NotImplemented\n  Refused\n  BadQuery\n  BadName\n  BadFamily\n  BadResponse\n  ConnectionRefused\n  Timeout\n  EOF\n  File\n  NoMem\n  Destruction\n  BadString\n  BadFlags\n  NoName\n  BadHints\n  NotInitialized\n  LoadIPHLPAPI\n  AddrGetNetworkParams\n  Cancelled\n  TryAgainLater\n  UnknownDNSError(String)\n}\n\nNoData\n `dns.NODATA`: DNS server returned an answer with no data.\n\nFormerr\n `dns.FORMERR`: DNS server claims query was misformatted.\n\nServerFail\n `dns.SERVFAIL`: DNS server returned general failure.\n\nNotFound\n `dns.NOTFOUND`: Domain name not found.\n\nNotImplemented\n `dns.NOTIMP`: DNS server does not implement the requested operation.\n\nRefused\n `dns.REFUSED`: DNS server refused query.\n\nBadQuery\n `dns.BADQUERY`: Misformatted DNS query.\n\nBadName\n `dns.BADNAME`: Misformatted host name.\n\nBadFamily\n `dns.BADFAMILY`: Unsupported address family.\n\nBadResponse\n `dns.BADRESP`: Misformatted DNS reply.\n\nConnectionRefused\n `dns.CONNREFUSED`: Could not contact DNS servers.\n\nTimeout\n `dns.TIMEOUT`: Timeout while contacting DNS servers.\n\nEOF\n `dns.EOF`: End of file.\n\nFile\n `dns.FILE`: Error reading file.\n\nNoMem\n `dns.NOMEM`: Out of memory.\n\nDestruction\n `dns.DESTRUCTION`: Channel is being destroyed.\n\nBadString\n `dns.BADSTR`: Misformatted string.\n\nBadFlags\n `dns.BADFLAGS`: Illegal flags specified.\n\nNoName\n `dns.NONAME`: Given host name is not numeric.\n\nBadHints\n `dns.BADHINTS`: Illegal hints flags specified.\n\nNotInitialized\n `dns.NOTINITIALIZED`: c-ares library initialization not yet performed.\n\nLoadIPHLPAPI\n `dns.LOADIPHLPAPI`: Error loading iphlpapi.dll.\n\nAddrGetNetworkParams\n `dns.ADDRGETNETWORKPARAMS`: Could not find GetNetworkParams function.\n\nCancelled\n `dns.CANCELLED`: DNS query cancelled.\n\nTryAgainLater\n `EAI_AGAIN`: The name server returned a temporary failure indication. Try again later.\n\nUnknownDNSError(String)\n\n\nSynonyms:\nefetch.DNSError\nefetch DNSError","url":"efetch.html#DNSError"},{"doc":"efetch","title":"HttpError","content":"pub type HttpError {\n  DNSError(DNSError)\n  ConnectError(ConnectError)\n  TLSError(TLSError)\n  UnknownNetworkError(String)\n  InvalidUtf8Response\n  UnableToReadBody\n  InvalidJsonBody\n  Other(Dynamic)\n}\n\nDNSError(DNSError)\n\n\nConnectError(ConnectError)\n\n\nTLSError(TLSError)\n\n\nUnknownNetworkError(String)\n\n\nInvalidUtf8Response\n\n\nUnableToReadBody\n\n\nInvalidJsonBody\n\n\nOther(Dynamic)\n\n\nSynonyms:\nefetch.HttpError\nefetch HttpError","url":"efetch.html#HttpError"},{"doc":"efetch","title":"TLSError","content":"pub type TLSError {\n  InvalidTLSCertAltName\n  UnknownTLSError(String)\n}\n\nInvalidTLSCertAltName\n\n\nUnknownTLSError(String)\n\n\nSynonyms:\nefetch.TLSError\nefetch TLSError","url":"efetch.html#TLSError"},{"doc":"efetch","title":"send","content":"pub fn send(\n  req: Request(String),\n) -&gt; Result(Response(String), HttpError)\n\nSynonyms:\nefetch.send\nefetch send","url":"efetch.html#send"},{"doc":"efetch","title":"send_bits","content":"pub fn send_bits(\n  req: Request(BitArray),\n) -&gt; Result(Response(BitArray), HttpError)\n\nSynonyms:\nefetch.send_bits\nefetch send_bits","url":"efetch.html#send_bits"},{"doc":"efetch","title":"efetch","content":"","url":"efetch.html"}]);